# Copyright (c) 2021 Dominic Msters
# 
# This software is released under the MIT License.
# https://opensource.org/licenses/MIT

# Add Sources
file(GLOB_RECURSE SRCS ${CMAKE_CURRENT_SOURCE_DIR}/*.c)
add_library(game STATIC ${SRCS})
target_include_directories(game PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(game PUBLIC
  glad
  cglm
  duktape
  stb
)


# Set up flags
target_compile_definitions(game PRIVATE
  SETTING_PLATFORM_GLFW=1
  SETTING_PLATFORM=1
  SETTING_PLATFORM_USE_GLAD=1
  SETTING_ASSET_PREFIX="../../../assets/"
  SETTING_GAME_NAME="DawnGame"
  SETTING_GAME_POKER=1
  SETTING_GAME_DAWN=2
  SETTING_GAME_SANDBOX=3
  SETTING_GAME=1
)